Start command

Start a command in a sandbox and return an exec ID for polling results.

Path parameters

sandbox_namestringRequired
Sandbox name

Request

This endpoint expects an object.
commandlist of stringsRequired
Command to execute.
envmap from strings to strings or nullOptional
Environment variables to inject into this execution session.
timeout_secslong or nullOptional>=0

Optional client-side timeout hint. Currently accepted for API compatibility.

userstring or nullOptional

User to run the command as (e.g., “islo”). If not provided, uses image default.

workdirstring or nullOptional
Working directory for command execution inside the sandbox.

Response

Command execution started
exec_idstring
sandbox_idstring
statusstring

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error